#include <stdio.h>

void main() 
{
	int a, b, c, br,d1=100,d2=10,cifra1,cifra2,cifra3;
	scanf_s("%d,%d,%d", &a, &b, &c);

	if (a > b)
	{
		if (a > c)
		{
			if (b > c)
			{
				cifra1 = a;
				cifra2 = b;
				cifra3 = c;
			}
			else
			{
				cifra1 = a;
				cifra2 = c;
				cifra3 = b;
			}
		}
		else
		{
			cifra1 = c;
			cifra2 = a;
			cifra3 = b;
		}
	}
	else
	{
		if (b > c)
		{
			if (a > c)
			{
				cifra1 = b;
				cifra2 = a;
				cifra3 = c;
			}
			else
			{
				cifra1 = b;
				cifra2 = c;
				cifra3 = a;
			}
		}
		else
		{
			cifra1 = c;
			cifra2 = b;
			cifra3 = a;
		}
	}


	if (cifra1 > 99)
	{
		br = cifra1 * d1 * 10000 + cifra2 * d2 * 100 + cifra3;
	}
	else
	{
		if (cifra1 > 9)
		{
			br = cifra1 * d1 * 100 + cifra2 * d2 * 10 + cifra3;
		}
		else
		{
			br = cifra1 * d1 + cifra2 * d2 + cifra3;
		}
	}


	printf("%d", br);
}